View Issue Details

IDProjectCategoryView StatusLast Update
1434HdsNTGeneralPublicMay 14th 2024 9:50 PM
ReporterNBug Reporter Assigned To 
Priority NormalSeverityCrashReproducibilityHave Not Tried
Status ArchivedResolutionDuplicate 
ProjectionNoneETANone 
PlatformWin32NTOSMicrosoft Windows NT 6.2.9200.0OS Version6.2.9200.0
Product Version1.23.0.3 
Summary1434: Object reference not set to an instance of an object. @ Void GetSliderScalesSingle(VshSelectionEnum, Single ByRef, Single ByRef, Single ByRef) @ HdsNT.uctlMultClay
Description
<SerializableException xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <ExtendedInformation>
    <HResult>-2147467261</HResult>
  </ExtendedInformation>
  <InnerExceptions />
  <Message>Object reference not set to an instance of an object.</Message>
  <Source>HdsNT-2-32</Source>
  <StackTrace>   at HdsNT.uctlMultClay.GetSliderScalesSingle(VshSelectionEnum avWhichShale, Single& avLeftScale, Single& avMidScale, Single& avRightScale)
   at PetroCalc.frmMain.CheckGRSliders(Boolean& avFirstCall)</StackTrace>
  <TargetSite>Void GetSliderScalesSingle(VshSelectionEnum, Single ByRef, Single ByRef, Single ByRef) @ HdsNT.uctlMultClay</TargetSite>
  <Type>System.NullReferenceException</Type>
</SerializableException>
Additional Information
<Report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <GeneralInfo>
    <CLRVersion>4.0.30319.42000</CLRVersion>
    <DateTime>5/13/2024 11:59:49 PM</DateTime>
    <ExceptionMessage>Object reference not set to an instance of an object.</ExceptionMessage>
    <ExceptionType>System.NullReferenceException</ExceptionType>
    <HostApplication>HN32-PetroCalc.exe</HostApplication>
    <HostApplicationVersion>1.23.0.3</HostApplicationVersion>
    <NBugVersion>1.2.1.0</NBugVersion>
    <TargetSite>Void GetSliderScalesSingle(VshSelectionEnum, Single ByRef, Single ByRef, Single ByRef) @ HdsNT.uctlMultClay</TargetSite>
  </GeneralInfo>
</Report>
TagsBug, Crash, NBug
Attached Files
Exception_133601183954485805.zip (1,178,950 bytes)

Zip Contents

  • Exception.xml (779 bytes)   
    <?xml version="1.0"?>
    <SerializableException xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <ExtendedInformation>
        <HResult>-2146233080</HResult>
      </ExtendedInformation>
      <Message>Index was outside the bounds of the array.</Message>
      <Source>HN32-PetroCalc</Source>
      <StackTrace>   at PetroCalc.frmMain.PorosityShaleValueChange(ShaleValueChangeEnum avShaleValueChange, Single avShaleValue0, Single avShaleValue1, Boolean&amp; avUpdateControls, Boolean&amp; avCalledFromDryClay)</StackTrace>
      <TargetSite>Void PorosityShaleValueChange(ShaleValueChangeEnum, Single, Single, Boolean ByRef, Boolean ByRef) @ PetroCalc.frmMain</TargetSite>
      <Type>System.IndexOutOfRangeException</Type>
    </SerializableException>
      
  • Report.xml (733 bytes)   
    <?xml version="1.0"?>
    <Report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <GeneralInfo>
        <CLRVersion>4.0.30319.42000</CLRVersion>
        <DateTime>5/13/2024 11:59:55 PM</DateTime>
        <ExceptionMessage>Index was outside the bounds of the array.</ExceptionMessage>
        <ExceptionType>System.IndexOutOfRangeException</ExceptionType>
        <HostApplication>HN32-PetroCalc.exe</HostApplication>
        <HostApplicationVersion>1.23.0.3</HostApplicationVersion>
        <NBugVersion>1.2.1.0</NBugVersion>
        <TargetSite>Void PorosityShaleValueChange(ShaleValueChangeEnum, Single, Single, Boolean ByRef, Boolean ByRef) @ PetroCalc.frmMain</TargetSite>
      </GeneralInfo>
    </Report>
      
  • MiniDump.mdmp (879,399 bytes)
  • files/HDS.Net.Info.lic (583 bytes)   
    <?xml version="1.0" encoding="utf-8"?>
    <LicenseInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <Key>21512a80-a02f-4325-943f-bef4dac94f4f</Key>
      <IssueDate>2022-10-05T00:00:00</IssueDate>
      <ExpireDate>2024-09-30T00:00:00</ExpireDate>
      <IssuedTo>Larry Geisler</IssuedTo>
      <Company />
      <IssuedBy>Hydrocarbon Data Systems, Inc. - Travis</IssuedBy>
      <Copies>2</Copies>
      <Type>Workstation</Type>
      <Package>Full</Package>
      <Demo>false</Demo>
      <Test>false</Test>
      <Verified>true</Verified>
    </LicenseInfo>
      
  • files/Logs/HDSlog.txt (1,503,919 bytes)
  • files/Sagebrush Fed 4-11_4900527201.mdb (626,688 bytes)
  • files/HDS.Net.Info.lic (583 bytes)   
    <?xml version="1.0" encoding="utf-8"?>
    <LicenseInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <Key>21512a80-a02f-4325-943f-bef4dac94f4f</Key>
      <IssueDate>2022-10-05T00:00:00</IssueDate>
      <ExpireDate>2024-09-30T00:00:00</ExpireDate>
      <IssuedTo>Larry Geisler</IssuedTo>
      <Company />
      <IssuedBy>Hydrocarbon Data Systems, Inc. - Travis</IssuedBy>
      <Copies>2</Copies>
      <Type>Workstation</Type>
      <Package>Full</Package>
      <Demo>false</Demo>
      <Test>false</Test>
      <Verified>true</Verified>
    </LicenseInfo>
      
  • files/Logs/HDSlog.txt (1,503,919 bytes)
  • files/Sagebrush Fed 4-11_4900527201.mdb (626,688 bytes)

Installation Type

Relationships

duplicate of 1433 ReleasedTravis Herzog Object reference not set to an instance of an object. @ Void GetSliderScalesSingle(VshSelectionEnum, Single ByRef, Single ByRef, Single ByRef) @ HdsNT.uctlMultClay 

Activities